> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# シークレット削除

> シークレットを削除。

**`DELETE`** `https://api-datahub.octoparse.com/v1/secrets/{name}`

認証：APIキー必須（`Authorization: Bearer <API Key>`）。

保存シークレットを削除。`env.<name>` を参照し続ける App は復元または App 更新まで以降の実行で失敗。

## リクエスト

### パスパラメータ

<ParamField path="name" type="string" required>
  Secret name.
</ParamField>

### リクエスト例

```bash theme={null}
curl -X DELETE   -H "Authorization: Bearer $OCTOPARSE_API_KEY"   "https://api-datahub.octoparse.com/v1/secrets/EXAMPLE_API_KEY"
```

## レスポンス

### 200 成功

```json theme={null}
{
  "data": {
    "name": "EXAMPLE_API_KEY",
    "deleted": true
  }
}
```

### エラー

| HTTP | `code`             | `category`  | Description    |
| ---- | ------------------ | ----------- | -------------- |
| 401  | `unauthorized`     | `forbidden` | API キー欠落または無効。 |
| 404  | `secret-not-found` | `not_found` | シークレットが存在しない。  |

エラー応答は `{"error": {code, category, message, retryable}}` です。<a href="/docs/jp/datahub/api/reference/introduction#errors">エラー</a> を参照。

## クライアントライブラリ

Python / JavaScript SDK はまだこのエンドポイントをラップしていません。REST を直接呼び出してください。
